#include <windows.h>
#include "cmemory.h"

#ifndef __STRINGTABLECLASS
#define __STRINGTABLECLASS

class CStringTable
{
	protected:
		CMemory *names,*pnames;//mena a pointer na ne
		DWORD count;//pocet stringob
	public:
		CStringTable();
		~CStringTable();
		DWORD Insert(char *str);//prida a vrati poradove cislo stringu; ak string uz existuje, neprida ho znovu
		DWORD Add(char *str);//narozdiel od insertu, prida string zakazdym (aj ked uz existuje)
		DWORD nAdd(char *str,DWORD len);//narozdiel od insertu, prida string zakazdym (aj ked uz existuje)
		DWORD Index(char *str);//vrati poradove cislo stringu
		DWORD GetCount();//vrati pocet stringov
		void DeleteAll();//zmaze vsetky stringy
		const char* Get(DWORD index);//vrati string na danej pozicii
		void *GetPointer();//vrati pointer na data
		DWORD GetSize();//vrati velkost dat
};

#endif __STRINGTABLECLASS
